// PDFCreatorDlg.h : header file
//
//{{AFX_INCLUDES()
#include "cpdfcreactivex.h"
//}}AFX_INCLUDES

#if !defined(AFX_PDFCREATORDLG_H__35E520A8_69E5_4BF6_8FEE_D24E643A025D__INCLUDED_)
#define AFX_PDFCREATORDLG_H__35E520A8_69E5_4BF6_8FEE_D24E643A025D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPDFCreatorDlg dialog

class CPDFCreatorDlg : public CDialog
{
// Construction
public:
	COLORREF changecolor(CString strclor);
	CPDFCreatorDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPDFCreatorDlg)
	enum { IDD = IDD_PDFCREATOR_DIALOG };
	CPDFCreactiveX	m_PDF;

	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPDFCreatorDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPDFCreatorDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnOpen();
	afx_msg void OnBtnCreateObject();
	afx_msg void OnBtnChangeObject();
	afx_msg void OnBtnLoadFromStream();
	afx_msg void OnBtnAddPicObject();
	afx_msg void OnBtnReachtext();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PDFCREATORDLG_H__35E520A8_69E5_4BF6_8FEE_D24E643A025D__INCLUDED_)
